> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/intermediador-de-pagamentos/financeiro/consultar-transacoes-de-um-vendedor.md).

# Consultar Transações de um Vendedor

## Lista de transações do seller

> Retorna a lista de transações de um seller específico em um período

```json
{"openapi":"3.0.3","info":{"title":"Sellers API","version":"2.0.0"},"servers":[{"url":"https://api.barte.com","description":"Servidor de produção"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-token-api","description":"Token de API obrigatório para autenticação"}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Código do erro seguindo padrão BAR-XXXX"},"title":{"type":"string","description":"Título do erro"},"description":{"type":"string","description":"Descrição detalhada do erro"}}}}},"required":["errors"]}}},"paths":{"/v2/seller/{sellerId}/transactions":{"get":{"summary":"Lista de transações do seller","description":"Retorna a lista de transações de um seller específico em um período","operationId":"getTransactions","tags":["Transactions"],"parameters":[{"name":"sellerId","in":"path","required":true,"description":"ID do Seller","schema":{"type":"string"}},{"name":"startDate","in":"query","required":true,"description":"Data inicial do período (formato YYYY-MM-DD)","schema":{"type":"string","format":"date"}},{"name":"endDate","in":"query","required":true,"description":"Data final do período (formato YYYY-MM-DD)","schema":{"type":"string","format":"date"}},{"name":"page","in":"query","required":false,"description":"Número da página para paginação","schema":{"type":"integer"}},{"name":"size","in":"query","required":false,"description":"Quantidade de itens por página","schema":{"type":"integer","default":1000,"maximum":3000}}],"responses":{"200":{"description":"Resposta bem-sucedida","content":{"application/json":{"schema":{"type":"object","properties":{"content":{"type":"array","description":"Lista de transações","items":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"UUID da transação"},"transactionType":{"type":"string","description":"Tipo da transação"},"chargeUUID":{"type":"string","format":"uuid","description":"UUID da cobrança"},"title":{"type":"string","description":"Título da transação"},"installments":{"type":"string","description":"Número de parcelas"},"status":{"type":"string","enum":["PAID","FAILED","PENDING","CANCELLED"],"description":"Status da transação"},"paymentMethod":{"type":"string","description":"Método de pagamento"},"grossValue":{"type":"string","description":"Valor bruto (formato brasileiro)"},"netValue":{"type":"string","nullable":true,"description":"Valor líquido (formato brasileiro)"},"fee":{"type":"string","nullable":true,"description":"Taxa (formato brasileiro)"},"createdAt":{"type":"string","description":"Data de criação (formato YYYY/MM/DD HH:MM:SS)"},"updatedAt":{"type":"string","description":"Data de atualização (formato YYYY/MM/DD HH:MM:SS)"},"expirationDate":{"type":"string","description":"Data de expiração (formato YYYY/MM/DD)"},"paidDate":{"type":"string","nullable":true,"description":"Data de pagamento (formato YYYY/MM/DD)"},"receiptDate":{"type":"string","nullable":true,"description":"Data do recibo (formato YYYY/MM/DD)"},"frequencyType":{"type":"string","nullable":true,"description":"Tipo de frequência"},"customer":{"type":"object","description":"Dados do cliente","properties":{"document":{"type":"string","description":"CPF/CNPJ do cliente"},"email":{"type":"string","format":"email","description":"Email do cliente"},"name":{"type":"string","description":"Nome do cliente"},"phone":{"type":"string","description":"Telefone do cliente"}}},"address":{"type":"object","description":"Endereço do cliente","properties":{"city":{"type":"string","description":"Cidade"},"complement":{"type":"string","description":"Complemento"},"country":{"type":"string","description":"País (código ISO)"},"district":{"type":"string","description":"Bairro"},"number":{"type":"string","description":"Número"},"state":{"type":"string","description":"Estado (UF)"},"street":{"type":"string","description":"Rua"},"zipCode":{"type":"string","description":"CEP"}}},"brand":{"type":"string","description":"Bandeira do cartão"},"first6digits":{"type":"string","nullable":true,"description":"Primeiros 6 dígitos do cartão"},"last4digits":{"type":"string","nullable":true,"description":"Últimos 4 dígitos do cartão"},"cardHolerName":{"type":"string","nullable":true,"description":"Nome do titular do cartão"},"metadata":{"type":"string","nullable":true,"description":"Metadados adicionais"}}}},"totalElements":{"type":"integer","description":"Total de elementos"},"totalPages":{"type":"integer","description":"Total de páginas"},"size":{"type":"integer","description":"Quantidade de itens por página"},"page":{"type":"integer","description":"Número da página atual"}}}}}},"400":{"description":"Requisição inválida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Não autorizado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Acesso negado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Não encontrado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Erro interno do servidor","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.barte.com/api-reference/intermediador-de-pagamentos/financeiro/consultar-transacoes-de-um-vendedor.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
